DROP VIEW program_sequences;

CREATE VIEW program_sequences AS
WITH psi_sorted AS (
    SELECT psi.program_id program_id,
           json_object(
               'sectionId', psi.section_id,
               'duration', psi.duration)
               obj
    FROM program_sequence_items AS psi
    ORDER BY psi.program_id, psi.seq_num)
SELECT psi_sorted.program_id                  program_id,
       json_group_array(json(psi_sorted.obj)) sequence
FROM psi_sorted
GROUP BY psi_sorted.program_id;
